services:
    _defaults:
        public: false

    Oro\Bundle\EmailBundle\Command\UpdateAssociationsCommand:
        arguments:
            - '@oro_message_queue.client.message_producer'
        tags:
            - { name: console.command }

    Oro\Bundle\EmailBundle\Command\UpdateVisibilitiesCommand:
        arguments:
            - '@oro_message_queue.client.message_producer'
        tags:
            - { name: console.command }

    Oro\Bundle\EmailBundle\Command\Cron\EmailBodySyncCommand:
        arguments:
            - '@oro_email.email_body_synchronizer'
        tags:
            - { name: console.command }

    Oro\Bundle\EmailBundle\Command\GenerateMd5ForEmailsCommand:
        arguments:
            - '@oro_entity.doctrine_helper'
        tags:
            - { name: console.command }

    Oro\Bundle\EmailBundle\Command\DebugEmailTemplateCommand:
        arguments:
            - '@oro_entity.doctrine_helper'
        tags:
            - { name: console.command }

    Oro\Bundle\EmailBundle\Command\DebugEmailTemplateCompileCommand:
        arguments:
            - '@Oro\Bundle\EntityBundle\ORM\DoctrineHelper'
            - '@Oro\Bundle\EmailBundle\Provider\EmailRenderer'
            - '@Symfony\Component\Mailer\MailerInterface'
        tags:
            - { name: console.command }

    Oro\Bundle\EmailBundle\Command\DebugEmailVariablesCommand:
        arguments:
            - '@Oro\Bundle\EntityBundle\ORM\DoctrineHelper'
            - '@Oro\Bundle\EmailBundle\Provider\EmailRenderer'
            - '@Oro\Bundle\EntityBundle\Twig\Sandbox\VariablesProvider'
        tags:
            - { name: console.command }

    Oro\Bundle\EmailBundle\Command\EmailTemplatesExportCommand:
        arguments:
            - '@Oro\Bundle\EntityBundle\ORM\DoctrineHelper'
        tags:
            - { name: console.command }

    Oro\Bundle\EmailBundle\Command\EmailTemplatesImportCommand:
        arguments:
            - '@Oro\Bundle\EntityBundle\ORM\DoctrineHelper'
        tags:
            - { name: console.command }
